Xpress System Requirements

What is Xpress?

Xpress is a web-based MOO client for enCore MOOs. It is a web application that resides on the remote MOO server and runs in a standard web browser. There is no need to download or install it on your machine. Just point your browser to an Xpress login URL, and the client downloads and starts automatically. Xpress was designed using web standards and technologies such as HTML, Java, JavaScript, and MOO, which means that it will run on MacOS, Windows, or Linux/Unix based machines. The platform for Xpress is, in other words, the web browser and not a particular operating system. In order to successfully run Xpress, however, your browser must meet certain system requirements. In technical terms, it must be HTML 4.01 compliant, and it must support Java 1.1, JavaScript 1.1 and Cascading Style Sheets Level 1 (CSS1).

Hardware Requirements

Any computer that can run the required browsers. (See below) Internet connection, minimum 28.8K modem (T1, Cable modem or DSL recommended). Monitor resolution must be at least 800 by 600 pixels (1024 by 768 recommended)

Browser Requirements

The general minimum browser requirements for running Xpress are Netscape or Microsoft Internet Explorer versions 4 or newer. Xpress has been tested with, and is known to work in Netscape 4.75 (with MRJ-Plugin), Netscape 6.1, and Internet Explorer 5.0 on MacOS 8/9, Internet Explorer 5.1 on Mac OS X 10.1, Netscape 4.08, Netscape 6.1 and Internet Explorer 5.5 on Windows 98/2000/NT, and Netscape 4.75 and Mozilla 0.9.3 on Linux. Other browsers and versions of the above may also work if they support system requirements noted here.

Before you start Xpress, open your browser’s system preferences and make sure that Java and JavaScript are enabled and that the browser is set to accept cookies, which is used for authentication by Xpress.

Running Xpress on the Macintosh

If you wish to run Xpress in a Netscape version 4.X browser on MacOS 8/9 you need to download and install a special plugin called MRJ-Plugin. You must also check to see if your computer has Macintosh Runtime for Java (MRJ) version 2.1.1 or newer installed. Current versions of both Netscape and Microsoft Internet Explorer will run Xpress without any problems in MacOS 8/9. If you are using MacOS X, version 10.1 or later is required to run Xpress.

Optional Plugins

Because Xpress allows the MOO to display a variety of multi-media enhanced content, we further recommend that your browser has the following plugins installed: QuickTime, Flash, and the Real Media plug-in. These may already be pre-installed in your browser, or else they can be downloaded for free from the Internet.